Name:		libluksde
Version:	20150106
Release:	2%{?dist}
Summary:	Library to access the Linux Unified Key Setup (LUKS) Disk Encryption format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libluksde/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	zlib-devel
BuildRequires:  fuse-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
Patch2:		libuna-gcc5-patch
                 
%description
libluksde is a library to access the Linux Unified Key Setup (LUKS) Disk Encryption format

%package devel
Summary: Header files and libraries for developing applications for libluksde
Group: Development/Libraries
Requires: libluksde = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libluksde.

%package tools
Summary: Several tools for accessing Linux Unified Key Setup (LUKS) Disk Encryption volumes
Group: Applications/System
Requires: libluksde = %{version}-%{release}  
  

%description tools
Several tools for accessing the Linux Unified Key Setup (LUKS) Disk Encryption volumes

%package python
Summary: Python bindings for libluksde
Group: System Environment/Libraries
Requires: libluksde = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python bindings for libluksde

%prep
%setup -q
sh autogen.sh
%patch2 -p1

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyewf/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libluksde.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/luksdeinfo
%attr(755,root,root) %{_bindir}/luksdemount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Tue Jun  2 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-2
* Release 20150106-2
	Libuna GCC-5 Patch

* Wed Jan 28 2015 Joachim Metz <joachim.metz@gmail.com> 20150106-1
- Auto-generated

